slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSGDGetInitialSize

Returns the initial size of the searching space.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGDGetInitialSize(EPS eps,PetscInt *initialsize)

Not Collective

### Input Parameter

| eps | - the eigenproblem solver context

### Output Parameter

| initialsize | - number of vectors of the initial searching subspace

### Notes

If EPSGDGetKrylovStart() is PETSC_FALSE and the user provides vectors with EPSSetInitialSpace(), up to initialsize vectors will be used; and if the provided vectors are not enough, the solver completes the subspace with random vectors. In the case of EPSGDGetKrylovStart() being PETSC_TRUE, the solver gets the first vector provided by the user or, if not available, a random vector, and expands the Krylov basis up to initialsize vectors.

### See Also

EPSGDSetInitialSize(), EPSGDGetKrylovStart()

### Level

advanced

### Location

src/eps/impls/davidson/gd/gd.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages